      SUBROUTINE FFTFAX(N,IFAX,TRIGS)                                   
      DIMENSION IFAX(1),TRIGS(1)                                        
C                                                                       
C MODE 3 IS USED FOR REAL/HALF-COMPLEX TRANSFORMS.  IT IS POSSIBLE      
C TO DO COMPLEX/COMPLEX TRANSFORMS WITH OTHER VALUES OF MODE, BUT       
C DOCUMENTATION OF THE DETAILS WERE NOT AVAILABLE WHEN THIS ROUTINE     
C WAS WRITTEN.                                                          
C                                                                       
      DATA MODE /3/                                                     
      CALL FAX (IFAX, N, MODE)                                          
      I = IFAX(1)                                                       
      IF (IFAX(I+1) .GT. 5 .OR. N .LE. 4) IFAX(1) = -99                 
C     IF (IFAX(1) .LE. 0 )CALL ULIBER(33, ' FFTFAX -- INVALID N', 20)   
      CALL FFTRIG (TRIGS, N, MODE)                                      
      RETURN                                                            
      END
